﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tektronix THS700x (1 year) VER RS-232 /5502A,O_CAL
DATE:                  2017-04-07 13:14:32
AUTHOR:                Fluke
REVISION:              $Revision: 19178 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       156
CONFIGURATION:         Fluke 5502A
CONFIGURATION:         Fluke Ocal
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Models covered:
#        THS710A, THS720A, THS720P, THS730A
#
#  Source(s):
#        Tektronix THS710A, THS720A, THS730A & THS720P TekScope Service manual
#        070-9752-02
#
#  Additional Equipment Required:
#        Banana to Banana Cable(two required)
#        50 Ohm BNC Cable
#        50 Ohm Feedthrough Termination
#        Dual Banana to BNC Adapter
#        RJ-45 to 9-pin female null modem adapter(standard)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  5502A        Reset
  1.003  O_CAL        Reset
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V

  1.006  IF           NOT(VERSIONCHECK("8.1.4"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Verification Method (No NTHROW)

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  DISP         Ensure a minimum UUT warm-up time of at least
  1.014  DISP         10 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  CALL         Sub UUT RS-232 Connection RJ-45 DB9 (f) 2 m Cable
  1.016  CALL         Sub Tek THS700x Setup RS-232

  1.017  PORT         *RST;*OPC?[I!]

  1.018  HEAD         UUT IDENTIFICATION
  1.019  CALL         Sub IEEE-488.2 Identification Query RS-232
  1.020  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.021  JMPL         END                           @Abort

  1.022  CALL         Sub Tek THS700x Check Firmware Version
  1.023  JMPL         END                           @Abort

  1.024  HEAD         EQUIPMENT REQUIREMENTS
  1.025  OPBR         -z Do you want to REVIEW the list of additional
  1.025  OPBR         equipment and/or accessories required?

  1.026  IF           MEM1
  1.027  DISP         - Banana to Banana Cable(two required)
  1.027  DISP         - 50 Ohm BNC Cable
  1.027  DISP         - 50 Ohm Feedthrough Termination
  1.027  DISP         - Dual Banana to BNC Adapter
  1.027  DISP         - RJ-45 to 9-pin female null modem adapter(standard)
  1.028  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results. For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.029  CALL         Sub Tek THS700x Set Bandwidth
  1.030  CALL         Sub Tek THS700x Sig Path Comp Cal RS-232
  1.031  JMPL         END                           @Abort

  1.032  CALL         Sub Tek THS700x Self-Test RS-232
  1.033  JMPL         END                           @Abort

  1.034  MATH         @Chan = 1
  1.035  CALL         Sub Tek THS700x (1 yr) SCOPE DCV VER RS-232 /5502A
  1.036  JMPL         BANDWIDTH_CH1

  1.037  LABEL        DCV_CH2
  1.038  MATH         @Chan = 2
  1.039  CALL         Sub Tek THS700x (1 yr) SCOPE DCV VER RS-232 /5502A
  1.040  JMPL         BANDWIDTH_CH2

  1.041  LABEL        BANDWIDTH_CH1
  1.042  MATH         @Chan = 1
  1.043  CALL         Sub Scope Connection (50 Ω feedthrough) /O_CAL
  1.044  CALL         Sub Tek THS700x (1 yr) Bandwidth VER RS-232 /O_CAL
  1.045  JMPL         TRIG_CH1

  1.046  LABEL        BANDWIDTH_CH2
  1.047  MATH         @Chan = 2
  1.048  CALL         Sub Scope Connection (50 Ω feedthrough) /O_CAL
  1.049  CALL         Sub Tek THS700x (1 yr) Bandwidth VER RS-232 /O_CAL
  1.050  JMPL         TRIG_CH2

  1.051  LABEL        TRIG_CH1
  1.052  MATH         @Chan = 1
  1.053  CALL         Sub Tek THS700x (1 yr) Trig Sens VER RS-232 /O_CAL
  1.054  JMPL         SAMPLE_RATE

  1.055  LABEL        TRIG_CH2
  1.056  MATH         @Chan = 2
  1.057  CALL         Sub Tek THS700x (1 yr) Trig Sens VER RS-232 /O_CAL
  1.058  JMPL         DMM_DCV_CH1

  1.059  LABEL        SAMPLE_RATE
  1.060  MATH         @Chan = 1
  1.061  CALL         Sub Tek THS700x (1 yr) Sample Rate VER RS-232 /O_CAL
  1.062  JMPL         DCV_CH2

  1.063  LABEL        DMM_DCV_CH1
  1.064  CALL         Sub Tek THS700x (1 yr) DMM DCV VER RS-232 /5502A
  1.065  CALL         Sub Tek THS700x (1 yr) DMM ACV VER RS-232 /5502A
  1.066  CALL         Sub Tek THS700x (1 yr) DMM Resistance VER RS-232 /5502A

  1.067  LABEL        END
  1.068  HEAD         -2

  1.069  IF           @Abort
  1.070  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.071  ELSE
  1.072  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.073  ENDIF

  1.074  END
